import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TopbarComponent } from '@app/shared/topbar/topbar.component';
import { FooterComponent } from '@app/shared/footer/footer.component';
import { SidebarComponent } from '@app/shared/sidebar/sidebar.component';
import { MenuSelectionDirective } from '@app/shared/_directives/menu-selection.directive';
import { MenuToggleDirective } from '@app/shared/_directives/menu-toggle.directive';
import {RouterModule} from '@angular/router';
import {MatIconModule} from '@angular/material/icon';
import {TokenRatioPipe} from '@app/shared/_pipes/token-ratio.pipe';



@NgModule({
  declarations: [
    TopbarComponent,
    FooterComponent,
    SidebarComponent,
    MenuSelectionDirective,
    MenuToggleDirective,
    TokenRatioPipe
  ],
  exports: [
    TopbarComponent,
    FooterComponent,
    SidebarComponent,
    MenuSelectionDirective,
    TokenRatioPipe
  ],
    imports: [
        CommonModule,
        RouterModule,
        MatIconModule
    ]
})
export class SharedModule { }
